<?php
/*
Plugin Name: Admin Messages
Version: 12.a
Description: Allows administrators to leave messages on the main admin page.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=505
Author: Mistic
Author URI: http://www.strangeplanet.fr
Has Settings: true
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

// +-----------------------------------------------------------------------+
//        Variables globales AM
// +-----------------------------------------------------------------------+
define('AM_DIR' , basename(dirname(__FILE__)));
define('AM_PATH' , PHPWG_PLUGINS_PATH . AM_DIR . '/');
define('AM_TABLE', $prefixeTable .'admin_messages');
define('AM_ADMIN', get_root_url() . 'admin.php?page=plugin-' . AM_DIR);


// +-----------------------------------------------------------------------+
//          Triggers
// +-----------------------------------------------------------------------+
add_event_handler('loc_begin_page_tail', 'AM_load_admin_messages'); // affichage sur admin

// +-----------------------------------------------------------------------+
//          Fonctions
// +-----------------------------------------------------------------------+

// affichage sur admin
function AM_load_admin_messages() {
  global $template, $page, $conf, $user;
  
  if (script_basename() == 'admin' AND defined('IN_ADMIN') AND IN_ADMIN 
    AND isset($page['body_id']) AND $page['body_id']=='theAdminPage' 
    AND $page['page'] == 'intro') 
  {
    include(AM_PATH . 'admin_messages.php');
  }
}
?>
